For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Meetings
      • POSTCreate Meeting
      • GETGet Meeting
      • PUTUpdate Meeting
      • DELRemove Meeting
      • POSTCreate Weekly Recurring Meetings
      • POSTCreate Monthly Recurring Meetings
      • POSTCreate Daily Recurring Meetings
      • POSTCreate Yearly Recurring Meetings
      • DELDelete Recurring Meetings
      • POSTValidate Recurring Meeting settings
      • PUTUpdate Recurring Meeting settings
LogoLogo
SupportContact salesStart free trial
API ReferenceMeetings

Update Recurring Meeting settings

PUT
https://api.projectmanager.com/api/data/meetings/:meetingId/recurring/settings
PUT
/api/data/meetings/:meetingId/recurring/settings
$curl -X PUT https://api.projectmanager.com/api/data/meetings/meetingId/recurring/settings \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "taskIds": [
15 "string"
16 ],
17 "changeSetId": "string"
18 }
19}
Updates the settings for a Recurring Non-Project Task and re-generates occurrences of the Recurring Non-Project Task from the new rules. When making changes to a Recurring Npt, you may want to investigate the consequences of your changes first before finalizing the changes. You can use the Validate Recurring Npts API to examine these changes. When you are happy with the changes, call Update Recurring Npts to complete them. A Recurring Task is one that must be completed on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Task, you must first create a regular Task with the necessary information, then call one of the Create Recurring Task APIs. To remove an instance of a Recurring Task, call Delete Recurring Task and specify one or more instances of the Recurring Task.
Was this page helpful?
Previous

Retrieve tags for a Meeting

Next
Built with

Updates the settings for a Recurring Non-Project Task and re-generates occurrences of the Recurring Non-Project Task from the new rules.

When making changes to a Recurring Npt, you may want to investigate the consequences of your changes first before finalizing the changes. You can use the Validate Recurring Npts API to examine these changes. When you are happy with the changes, call Update Recurring Npts to complete them.

A Recurring Task is one that must be completed on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Task, you must first create a regular Task with the necessary information, then call one of the Create Recurring Task APIs. To remove an instance of a Recurring Task, call Delete Recurring Task and specify one or more instances of the Recurring Task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

meetingIdstringRequiredformat: "uuid"
The unique identifier of the Meeting

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new settings
typeintegerOptional
Type
repeatEveryinteger or nullOptional
RepeatEvery
repeatOnlist of integersOptional
RepeatOn
repeatOn2Levelinteger or nullOptional
RepeatOn2Level
endsOnstring or nullOptionalformat: "date-time"
EndsOn
endsAfterinteger or nullOptional
EndsAfter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
RecurringTaskChangeSetDetails